function OpenModal(elementid)
{
    $('#' + elementid).fadeIn(600);
    $('body').css('top', -(document.documentElement.scrollTop) + 'px')
    $('body').css('position', 'fixed');
    $('body').css('overflow-y', 'scroll');
}

function CloseModal(elementid)
{
    $('#' + elementid).fadeOut(600);
    $('body').css('position', 'static');
    $('body').css('overflow-y', 'auto');
}

/// Закрыть окно по клику вне его
$(document).click(function (e) {
    const isModal = $(e.target).closest('.modal__body').length;
    if (!isModal) {
        $(".modal").fadeOut(600);
        $('body').css('position', 'static');
        $('body').css('overflow-y', 'auto');
    }
});

function WidgetMenuClick(menu, elementid)
{
    //console.log("WidgetMenuClick:" + menu + " elementid: " + elementid);
    if (!$(menu).queue().length) {
        $('#' + elementid).fadeToggle("fast", "linear");
    }    
}

$(document).click(function (e) {
    const isDropbox = $(e.target).closest('.block__dropbox').length;

    if (!isDropbox) {
        $(".block__dropbox").fadeOut(200);
    }

});

function ScrollToSection(elementid)
{
    const scrollTarget = document.getElementById(elementid)
    const topOffset = 80
    const elementPosition = scrollTarget.getBoundingClientRect().top
    const offsetPosition = elementPosition - topOffset

    window.scrollBy({
        top: offsetPosition,
        behavior: 'smooth',
    })
}

//function BodyScroll(mode)
//{
//    if (!mode)
//        $('body').css('overflow', 'hidden');
//    else
//        $('body').css('overflow', 'auto');
//}

// $(document).mouseup(function (e){
//     var div = $(".header-block__span, .third-block__dropbox");
//     if (!div.is(e.target)
//         && div.has(e.target).length === 0) {
//         $(".third-block__dropbox").fadeOut(200);
//         $('html').removeClass('no_scroll');
//     }
// });


/// Загрузка файлов

//$('.second-block__input__file').change(function(){

//    var inputName  = $(this).attr('data-files');

//    var fileName = $('.js-input-file[data-files="' + inputName + '"]');

//    fileName.html($(this)[0].files[0].name);
//});


///Slider

//$(document).ready(function(){
//    $('.slider').slick({

//        prevArrow: $('.footer-block__left__button'),
//        nextArrow: $('.footer-block__right__button'),
//        dots: true

//    });
//});


/// Логика работы модального окна

//$('.js-open-modal').click(function (e) {

//    console.log('modal!!!')

//    e.preventDefault();
//    e.stopPropagation();

//    var modalName  = $(this).attr('data-modal');

//    var modal = $('.modal[data-modal="' + modalName + '"]');


//    modal.fadeIn(600);

//    $('.modal_close').click(function(e){
//        e.preventDefault();
        
//        modal.fadeOut(600);
//    })
    

//});


/// Работа вкладок на рабочем столе

//$('.tab-button').click(function(){

//    var tabName  = $(this).attr('data-content');

//    var tab = $('.second-block__form[data-content="' + tabName + '"]');

//    $(this).addClass('active');
//    $(".tab-button").not(this).removeClass('active');

//    tab.addClass('visible');
//    $(".second-block__form").not(tab).removeClass('visible');
//});


//$("#sort_libary").click(function(e) {
//    e.preventDefault();
//    $(".third-block__dropbox").fadeToggle(200);
//});
